VisualEditor: Add a keyboard shortcut for "Clear formatting"
Closed, ResolvedPublic

Description

I think "Clear formatting" is important enough to justify a keyboard shortcut. For example, there are cases where the formatting can unintentionally continue longer than you want, such as when you add a link.


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=53682
https://bugzilla.wikimedia.org/show_bug.cgi?id=56453

bzimport set Reference to bz51507.
Mattflaschen created this task.Via LegacyJul 17 2013, 4:59 AM
Mattflaschen added a comment.Via ConduitJul 29 2013, 4:19 AM

Shortcuts used in other programs are:

Ctrl + Spacebar - Used by Word for "Remove paragraph or character formatting."/"Remove manual character formatting" (http://support.microsoft.com/kb/290938).
Ctrl + \ - Used by Google Docs for "Clear formatting" (https://support.google.com/drive/answer/179738?hl=en)
Ctrl + M - Used by LibreOffice for "Clear direct formatting" (https://help.libreoffice.org/Common/General_Shortcut_Keys_in)

Jdforrester-WMF added a comment.Via ConduitJul 29 2013, 4:25 AM

I can see wanting to use Ctrl + Spacebar for a general whitespace inserter menu (nbsp/tab/etc.), so how about we go with Ctrl + \?

Mattflaschen added a comment.Via ConduitJul 29 2013, 11:09 PM

Ctrl + M might be a little friendlier. I know from experience people confuse backslash and forward slash. But I don't feel strongly about it.

gerritbot added a comment.Via ConduitJul 30 2013, 12:14 AM

Change 76666 had a related patch set uploaded by Jforrester:
Add keyboard shortcut for 'clear' button

https://gerrit.wikimedia.org/r/76666

gerritbot added a comment.Via ConduitJul 30 2013, 12:51 AM

Change 76666 merged by jenkins-bot:
Add keyboard shortcut for 'clear' button

https://gerrit.wikimedia.org/r/76666

Jdforrester-WMF added a comment.Via ConduitJul 30 2013, 12:52 AM

Now merged and will go out with the next production push, probably tomorrow.

Elitre added a comment.Via ConduitSep 2 2013, 1:12 PM

Except there is no \ key on keyboards like the French one, so the shortcut is reported as not working (also, provoking weird behaviour I'll report elsewhere), since they should type CTRL + Alt Gr + 8. Can we do something about this? Thanks.

NicoV added a comment.Via ConduitSep 4 2013, 10:44 AM

(In reply to comment #7)

Except there is no \ key on keyboards like the French one, so the shortcut is
reported as not working (also, provoking weird behaviour I'll report
elsewhere), since they should type CTRL + Alt Gr + 8. Can we do something
about this? Thanks.

Weird behaviour reported on https://bugzilla.wikimedia.org/show_bug.cgi?id=53682

Jdforrester-WMF added a comment.Via ConduitNov 1 2013, 5:33 AM

Re-closing; have made bug 56453 for the suggestion to add a new one for other keyboards.

Mattflaschen removed a subscriber: Mattflaschen.Via WebDec 3 2014, 5:33 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.